Skip to main content
POST
https://api.keyport.sbs
/
api
/
v1
/
validate
Validate a license
curl --request POST \
  --url https://api.keyport.sbs/api/v1/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "license_key": "ABCD-EFGH-IJKL-MNOP"
}
'
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({license_key: 'ABCD-EFGH-IJKL-MNOP'})
};

fetch('https://api.keyport.sbs/api/v1/validate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.keyport.sbs/api/v1/validate"

payload = { "license_key": "ABCD-EFGH-IJKL-MNOP" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.post("https://api.keyport.sbs/api/v1/validate")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"license_key\": \"ABCD-EFGH-IJKL-MNOP\"\n}")
  .asString();
{
  "valid": true,
  "status": "active",
  "expires": "2027-01-01T00:00:00.000Z",
  "ip_registered": false,
  "ip_count": 1,
  "max_ips": 1,
  "version": "2.1.0",
  "version_valid": true,
  "custom": {
    "tier": "pro",
    "exports": true
  },
  "signature": null
}
{
  "valid": false,
  "status": "invalid_api_key",
  "message": "Missing Authorization header. Use: Authorization: Bearer YOUR_API_KEY"
}
{
  "valid": false,
  "status": "rate_limit_exceeded",
  "message": "This license provider or organization owner has reached the daily API request limit for their current plan. Please ask them to upgrade to a paid plan for higher limits, or try again after midnight UTC.",
  "retry_after": 3600
}

Authorizations

Authorization
string
header
required

Use your product API key in the Authorization header.

Body

application/json
license_key
string
required
Example:

"ABCD-EFGH-IJKL-MNOP"

version
string
Example:

"2.1.0"

device_id
string
Example:

"desktop-main"

Response

Validation processed.

valid
boolean
Example:

true

status
string
Example:

"active"

expires
string<date-time> | null
Example:

"2027-01-01T00:00:00.000Z"

ip_registered
boolean | null
Example:

false

ip_count
integer | null
Example:

1

max_ips
integer | null
Example:

1

version
string | null
Example:

"2.1.0"

version_valid
boolean | null
Example:

true

custom
object | null
Example:
{ "tier": "pro", "exports": true }
signature
string | null
Example:

null